/*
 * Aipo is a groupware program developed by Aimluck,Inc.
 * Copyright (C) 2004-2008 Aimluck,Inc.
 * http://aipostyle.com/
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
package com.aimluck.eip.cayenne.om.portlet;

import org.apache.cayenne.ObjectId;

import com.aimluck.eip.cayenne.om.portlet.auto._ImwTDocumentFile;

public class ImwTDocumentFile extends _ImwTDocumentFile {

  public static final String FILE_ID_COLUMN = "FILE_ID";
  public static final String DOC_ID_COLUMN = "DOC_ID";
  public static final String FILE_REV_MJ_COLUMN = "FILE_REV_MJ";
  public static final String FILE_REV_MN_COLUMN = "FILE_REV_MN";
  public static final String FOLDER_ID_COLUMN = "FOLDER_ID";
  public static final String FILE_TITLE_COLUMN = "FILE_TITLE";
  public static final String FILE_NAME_COLUMN = "FILE_NAME";
  public static final String FILE_SIZE_COLUMN = "FILE_SIZE";
  public static final String FILE_PATH_COLUMN = "FILE_PATH";
  public static final String OPEN_END_DATE_COLUMN = "OPEN_END_DATE";
  public static final String SAVE_END_DATE_COLUMN = "SAVE_END_DATE";
  public static final String STATUS_COLUMN = "STATUS";
  public static final String CHECKIN_COMMENT_COLUMN = "CHECKIN_COMMENT";
  public static final String NOTE_COLUMN = "NOTE";
  public static final String CREATE_USER_ID_COLUMN = "CREATE_USER_ID";
  public static final String CHECKOUT_USER_ID_COLUMN = "CHECKOUT_USER_ID";
  public static final String UPDATE_USER_ID_COLUMN = "UPDATE_USER_ID";
  public static final String CREATE_DATE_COLUMN = "CREATE_DATE";
  public static final String CHECKOUT_DATE_COLUMN = "CHECKOUT_DATE";
  public static final String UPDATE_DATE_COLUMN = "UPDATE_DATE";
  public static final String REQUEST_USER_ID_COLUMN = "REQUEST_USER_ID";
  public static final String REQUEST_TYPE_COLUMN = "REQUEST_TYPE";
  public static final String FOLDER_NAME_COLUMN = "FOLDER_NAME";
  
  public static final String TURBINE_USER_PROPERTY = "turbineUser";
  public static final String REQUEST_USER_ID_PROPERTY = "requestUserId";

  public Integer getFileId() {
    if (getObjectId() != null && !getObjectId().isTemporary()) {
      Object obj = getObjectId().getIdSnapshot().get(FILE_ID_PK_COLUMN);
      if (obj instanceof Long) {
        Long value = (Long) obj;
        return Integer.valueOf(value.intValue());
      } else {
        return (Integer) obj;
      }
    } else {
      return null;
    }
  }

  public void setFileId(String id) {
    setObjectId(new ObjectId("ImwTDocumentFile", FILE_ID_PK_COLUMN, Integer
        .valueOf(id)));
  }
  
  
  public void setTurbineUser(com.aimluck.eip.cayenne.om.security.TurbineUser turbineUser) {
      setToOneTarget("turbineUser", turbineUser, true);
  }

  public com.aimluck.eip.cayenne.om.security.TurbineUser getTurbineUser() {
      return (com.aimluck.eip.cayenne.om.security.TurbineUser)readProperty("turbineUser");
  }

  public void setRequestUserId(Integer requestUserId) {
    writeProperty("requestUserId", requestUserId);
  }
  public Integer getRequestUserId() {
    return (Integer)readProperty("requestUserId");
  }
  
  public void setRequestType(Integer requestType) {
    writeProperty("requestType", requestType);
  }
  public Integer getRequestType() {
    return (Integer)readProperty("requestType");
  }
  
  public void setFolderName(String folderName) {
    writeProperty("folderName", folderName);
  }
  public String getFolderName() {
    return (String)readProperty("folderName");
  }

}



